Package com.stardog.stark

# Interface Namespaces

All Superinterfaces:
  `Iterable<Namespace>`

All Known Subinterfaces:
  `NamespacesInfo`

public interface Namespaces extends Iterable<Namespace>

A collection of `namespace defintions`

Since:
  1.0
Version:
  1.0
Author:
  Michael Grove

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `BASE_URI`
  `static final String`
  `DC`
  `static final Namespaces`
  `DEFAULT`
  Stardog default namespaces.
  `static final Namespaces`
  `EXTENDED`
  An immutable set of extended namespaces that include all `built-in namespaces` plus other commonly used namespaces DC, FOAF, SKOS, SWRL, and SWRLB.
  `static final String`
  `FOAF`
  `static final String`
  `OWL`
  `static final String`
  `PROV`
  `static final String`
  `RDF`
  `static final Namespaces`
  `RDFA_INIT_CONTEXT`
  Set of namespaces based on Vocabulary Prefixes of W3C Documents (Recommendations or Notes)
  `static final String`
  `RDFS`
  `static final String`
  `SCHEMA_ORG`
  `static final String`
  `SHACL`
  `static final String`
  `SKOS`
  `static final String`
  `STARDOG`
  `static final String`
  `STARDOG_SHACL`
  `static final String`
  `SWRL`
  `static final String`
  `SWRLB`
  `static final String`
  `XSD`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static Namespaces`
  `defaults(String theDefaultIRI)`
  Stardog default namespaces with a user-defined default namespace.
  `default Optional<String>`
  `iri(String thePrefix)`
  Return the IRI associated with the given prefix
  `default Optional<String>`
  `map(String thePrefixedName)`
  Maps the given prefixed name to a full IRI based on the namespace definitions
  `default Optional<String>`
  `prefix(String theIRI)`
  Return the prefix associated with the given IRI
  `default Stream<Namespace>`
  `stream()`
  Return a `Stream` over the `namespaces`

  ### Methods inherited from interface java.lang.Iterable

  `forEach, iterator, spliterator`

- ## Field Details

  - ### OWL

    static final String OWL
    See Also:
      - Constant Field Values

  - ### RDF

    static final String RDF
    See Also:
      - Constant Field Values

  - ### RDFS

    static final String RDFS
    See Also:
      - Constant Field Values

  - ### SHACL

    static final String SHACL
    See Also:
      - Constant Field Values

  - ### SWRL

    static final String SWRL
    See Also:
      - Constant Field Values

  - ### SWRLB

    static final String SWRLB
    See Also:
      - Constant Field Values

  - ### XSD

    static final String XSD
    See Also:
      - Constant Field Values

  - ### DC

    static final String DC
    See Also:
      - Constant Field Values

  - ### FOAF

    static final String FOAF
    See Also:
      - Constant Field Values

  - ### SKOS

    static final String SKOS
    See Also:
      - Constant Field Values

  - ### PROV

    static final String PROV
    See Also:
      - Constant Field Values

  - ### SCHEMA_ORG

    static final String SCHEMA_ORG
    See Also:
      - Constant Field Values

  - ### STARDOG

    static final String STARDOG
    See Also:
      - Constant Field Values

  - ### STARDOG_SHACL

    static final String STARDOG_SHACL
    See Also:
      - Constant Field Values

  - ### BASE_URI

    static final String BASE_URI
    See Also:
      - Constant Field Values

  - ### DEFAULT

    static final Namespaces DEFAULT
    Stardog default namespaces. An immutable set of namespaces for built-in namespaces RDF, RDFS, XSD, and OWL.

  - ### EXTENDED

    static final Namespaces EXTENDED
    An immutable set of extended namespaces that include all `built-in namespaces` plus other commonly used namespaces DC, FOAF, SKOS, SWRL, and SWRLB.

  - ### RDFA_INIT_CONTEXT

    static final Namespaces RDFA_INIT_CONTEXT
    Set of namespaces based on Vocabulary Prefixes of W3C Documents (Recommendations or Notes)
    See Also:
      - rdfa 1.1

- ## Method Details

  - ### defaults

    static Namespaces defaults(@Nonnull String theDefaultIRI)
    Stardog default namespaces with a user-defined default namespace. An immutable set of namespaces for built-in namespaces RDF, RDFS, XSD, and OWL similar to `DEFAULT` but with the given default namespace.

  - ### prefix

    @Nonnull default Optional<String> prefix(@Nonnull String theIRI)
    Return the prefix associated with the given IRI
    Parameters:
      `theIRI` - the IRI
    Returns:
      the prefix

  - ### iri

    @Nonnull default Optional<String> iri(@Nonnull String thePrefix)
    Return the IRI associated with the given prefix
    Parameters:
      `thePrefix` - the prefix
    Returns:
      the IRI

  - ### map

    @Nonnull default Optional<String> map(@Nonnull String thePrefixedName)
    Maps the given prefixed name to a full IRI based on the namespace definitions
    Parameters:
      `thePrefixedName` - the prefixed name
    Returns:
      the IRI

  - ### stream

    @Nonnull default Stream<Namespace> stream()
    Return a `Stream` over the `namespaces`
    Returns:
      the `Namespace` `Stream`